Developer forum
cancel
Showing results for 
Search instead for 
Did you mean: 

Start Edition

stefan
Booster
Does the Devkit also support ArchiCAD Start Edition?

E.g. can an ArchiCAD 19 APX run on ArchiCAD Start Edition 2016 (based on 19)?

I assume that you have to take care not to use methods that call into non-supported functionality (e.g. Publisher, ...).
--- stefan boeykens --- architect-engineer-musician ---
ARCHICAD25/Revit2022/Rhino6/Unity2020/Solibri
MBP2019:i9Octo2.4GHz32GBVega20/BigSur+Win11
ARCHICAD-user since 1998
3 REPLIES 3

Ralph Wessel
Mentor
stefan wrote:
Does the Devkit also support ArchiCAD Start Edition?

E.g. can an ArchiCAD 19 APX run on ArchiCAD Start Edition 2016 (based on 19)?

I assume that you have to take care not to use methods that call into non-supported functionality (e.g. Publisher, ...).
Yes, I believe they're fully compatible (with the limitations you noted).
Ralph Wessel BArch

stefan
Booster
I can confirm that we can run the add-in from ArchiCAD 19 on the Start Edition 2016 (without special re-compilation).
--- stefan boeykens --- architect-engineer-musician ---
ARCHICAD25/Revit2022/Rhino6/Unity2020/Solibri
MBP2019:i9Octo2.4GHz32GBVega20/BigSur+Win11
ARCHICAD-user since 1998

Akos Somorjai
Graphisoft
Graphisoft
stefan wrote:
Does the Devkit also support ArchiCAD Start Edition?

E.g. can an ArchiCAD 19 APX run on ArchiCAD Start Edition 2016 (based on 19)?

I assume that you have to take care not to use methods that call into non-supported functionality (e.g. Publisher, ...).
There isn't any restriction on the API, but restrictions inside ARCHICAD do apply; and yes, please do not call any unsupported function (though you should get an error code if you do that...)

Best, Ákos

Still looking?

Browse more topics

Back to forum

See latest solutions

Accepted solutions

Start a new discussion!